<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>CoreRouter (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CoreRouter (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CoreRouter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/ConsumptionParameters.TrafficScale.html" title="class in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/CoreRouter.html" target="_top">Frames</a></li>
<li><a href="CoreRouter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.routing</div>
<h2 title="Class CoreRouter" class="title">Class CoreRouter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.routing.CoreRouter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/here/android/mpa/routing/Router.html" title="interface in com.here.android.mpa.routing">Router</a>&lt;java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a>&gt;,<a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">CoreRouter</span>
extends java.lang.Object
implements <a href="../../../../../com/here/android/mpa/routing/Router.html" title="interface in com.here.android.mpa.routing">Router</a>&lt;java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a>&gt;,<a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a>&gt;</pre>
<div class="block">Route calculation executor handling core routing types (Car, Truck, Pedestrian). Defines
 concrete calculation method and response listener for core routing types.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing">CoreRouter.Connectivity</a></span></code>
<div class="block">The possible types of connectivity for route calculation</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.Listener.html" title="interface in com.here.android.mpa.routing">CoreRouter.Listener</a></span></code>
<div class="block">Represents a listener to provide information about route calculation events.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html#CoreRouter--">CoreRouter</a></span>()</code>
<div class="block">Default constructor with <a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html#DEFAULT"><code>CoreRouter.Connectivity.DEFAULT</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html#calculateRoute-java.util.List-com.here.android.mpa.routing.RouteOptions-com.here.android.mpa.routing.Router.Listener-">calculateRoute</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; routePoints,
              <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> routeOptions,
              <a href="../../../../../com/here/android/mpa/routing/Router.Listener.html" title="interface in com.here.android.mpa.routing">Router.Listener</a>&lt;java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a>&gt;,<a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a>&gt; listener)</code>
<div class="block">Invokes an asynchronous route calculation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html#calculateRoute-com.here.android.mpa.routing.RoutePlan-com.here.android.mpa.routing.Router.Listener-">calculateRoute</a></span>(<a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a> routePlan,
              <a href="../../../../../com/here/android/mpa/routing/Router.Listener.html" title="interface in com.here.android.mpa.routing">Router.Listener</a>&lt;java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a>&gt;,<a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a>&gt; listener)</code>
<div class="block">Invokes an asynchronous route calculation.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html#cancel--">cancel</a></span>()</code>
<div class="block">Cancels the current route calculation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing">CoreRouter.Connectivity</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html#getConnectivity--">getConnectivity</a></span>()</code>
<div class="block">Gets the connectivity to be used for route calculation.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/DynamicPenalty.html" title="class in com.here.android.mpa.routing">DynamicPenalty</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html#getDynamicPenalty--">getDynamicPenalty</a></span>()</code>
<div class="block">Get the different penalties which is responsible to change the routing conditions.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html#isBusy--">isBusy</a></span>()</code>
<div class="block">Query whether the route calculation is ongoing.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html" title="class in com.here.android.mpa.routing">CoreRouter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html#setConnectivity-com.here.android.mpa.routing.CoreRouter.Connectivity-">setConnectivity</a></span>(<a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing">CoreRouter.Connectivity</a> connectivity)</code>
<div class="block">Determines whether route is calculated online or offline.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html" title="class in com.here.android.mpa.routing">CoreRouter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/CoreRouter.html#setDynamicPenalty-com.here.android.mpa.routing.DynamicPenalty-">setDynamicPenalty</a></span>(<a href="../../../../../com/here/android/mpa/routing/DynamicPenalty.html" title="class in com.here.android.mpa.routing">DynamicPenalty</a> penalty)</code>
<div class="block">Sets the dynamic penalty that should be applied to route calculations.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CoreRouter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CoreRouter</h4>
<pre>public CoreRouter()</pre>
<div class="block">Default constructor with <a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html#DEFAULT"><code>CoreRouter.Connectivity.DEFAULT</code></a>. Multiple
 <code>CoreRouter</code>s can be created to calculate multiple routes in
 parallel.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="calculateRoute-com.here.android.mpa.routing.RoutePlan-com.here.android.mpa.routing.Router.Listener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateRoute</h4>
<pre>public void calculateRoute(<a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a> routePlan,
                           <a href="../../../../../com/here/android/mpa/routing/Router.Listener.html" title="interface in com.here.android.mpa.routing">Router.Listener</a>&lt;java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a>&gt;,<a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a>&gt; listener)</pre>
<div class="block">Invokes an asynchronous route calculation. Upon completion of the request, the
 <code>Listener</code> will be invoked regardless if the request is completed successfully or not.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/routing/Router.html#calculateRoute-com.here.android.mpa.routing.RoutePlan-com.here.android.mpa.routing.Router.Listener-">calculateRoute</a></code> in interface <code><a href="../../../../../com/here/android/mpa/routing/Router.html" title="interface in com.here.android.mpa.routing">Router</a>&lt;java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a>&gt;,<a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <code>Listener</code> for the <code>CoreRouter</code>

            This method returns <a href="../../../../../com/here/android/mpa/routing/RoutingError.html#INVALID_PARAMETERS"><code>RoutingError.INVALID_PARAMETERS</code></a> and a
            route will not be calculated if calculating a route with
            <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html#PUBLIC_TRANSPORT"><code>RouteOptions.TransportMode.PUBLIC_TRANSPORT</code></a> and routePlan contains more
            than 2 waypoints.

            This method returns <a href="../../../../../com/here/android/mpa/routing/RoutingError.html#INVALID_PARAMETERS"><code>RoutingError.INVALID_PARAMETERS</code></a> and a
            route will not be calculated if calculating a route with
            <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html#TRUCK"><code>RouteOptions.TransportMode.TRUCK</code></a> and routePlan uses any
            <code>Type</code> other than <code>FASTEST</code>.</dd>
<dd><code>routePlan</code> - The routePlan object used for calculation.</dd>
</dl>
</li>
</ul>
<a name="calculateRoute-java.util.List-com.here.android.mpa.routing.RouteOptions-com.here.android.mpa.routing.Router.Listener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateRoute</h4>
<pre>public void calculateRoute(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; routePoints,
                           <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> routeOptions,
                           <a href="../../../../../com/here/android/mpa/routing/Router.Listener.html" title="interface in com.here.android.mpa.routing">Router.Listener</a>&lt;java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a>&gt;,<a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a>&gt; listener)</pre>
<div class="block">Invokes an asynchronous route calculation. Upon completion of the request, the
 <code>Listener</code> will be invoked regardless if the request is completed successfully or not.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>routePoints</code> - The list of <code>GeoCoordinate</code> that is used for calculate a route.
                    The list must have at least two items.</dd>
<dd><code>routeOptions</code> - The <code>RouteOptions</code> is used for route calculation between points and
                     for route recalculation during navigation mode.</dd>
<dd><code>listener</code> - A <code>Listener</code> for the <code>CoreRouter</code>

            This method returns <a href="../../../../../com/here/android/mpa/routing/RoutingError.html#INVALID_PARAMETERS"><code>RoutingError.INVALID_PARAMETERS</code></a> and a
            route will not be calculated if calculating a route with
            <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html#PUBLIC_TRANSPORT"><code>RouteOptions.TransportMode.PUBLIC_TRANSPORT</code></a>

            This method returns <a href="../../../../../com/here/android/mpa/routing/RoutingError.html#INVALID_PARAMETERS"><code>RoutingError.INVALID_PARAMETERS</code></a> and a
            route will not be calculated if calculating a route with
            <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html#TRUCK"><code>RouteOptions.TransportMode.TRUCK</code></a> and routePlan uses any
            <code>Type</code> other than <code>FASTEST</code>.</dd>
</dl>
</li>
</ul>
<a name="cancel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancel</h4>
<pre>public void cancel()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/routing/Router.html#cancel--">Router</a></code></span></div>
<div class="block">Cancels the current route calculation. Note that this API is asynchronous as it takes some
 time cancel all underlying operations. Use <code>#isBusy()</code> to check whether calculation is
 still ongoing or not.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/routing/Router.html#cancel--">cancel</a></code> in interface <code><a href="../../../../../com/here/android/mpa/routing/Router.html" title="interface in com.here.android.mpa.routing">Router</a>&lt;java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a>&gt;,<a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="isBusy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBusy</h4>
<pre>public boolean isBusy()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/routing/Router.html#isBusy--">Router</a></code></span></div>
<div class="block">Query whether the route calculation is ongoing.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/routing/Router.html#isBusy--">isBusy</a></code> in interface <code><a href="../../../../../com/here/android/mpa/routing/Router.html" title="interface in com.here.android.mpa.routing">Router</a>&lt;java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteResult.html" title="class in com.here.android.mpa.routing">RouteResult</a>&gt;,<a href="../../../../../com/here/android/mpa/routing/RoutingError.html" title="enum in com.here.android.mpa.routing">RoutingError</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a route calculation is ongoing, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="setDynamicPenalty-com.here.android.mpa.routing.DynamicPenalty-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDynamicPenalty</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/CoreRouter.html" title="class in com.here.android.mpa.routing">CoreRouter</a> setDynamicPenalty(<a href="../../../../../com/here/android/mpa/routing/DynamicPenalty.html" title="class in com.here.android.mpa.routing">DynamicPenalty</a> penalty)</pre>
<div class="block">Sets the dynamic penalty that should be applied to route calculations. Penalties can be
 applied in the form of restricting roads, areas and setting different traffic modes.
 <p>
 Note: Passing <code>null</code> will set the default penalties.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>penalty</code> - <a href="../../../../../com/here/android/mpa/routing/DynamicPenalty.html" title="class in com.here.android.mpa.routing"><code>DynamicPenalty</code></a> penalty used for route calculation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>CoreRouter</code></dd>
</dl>
</li>
</ul>
<a name="getDynamicPenalty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDynamicPenalty</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/DynamicPenalty.html" title="class in com.here.android.mpa.routing">DynamicPenalty</a> getDynamicPenalty()</pre>
<div class="block">Get the different penalties which is responsible to change the routing conditions.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>DynamicPenalty</code> used for route calculation</dd>
</dl>
</li>
</ul>
<a name="setConnectivity-com.here.android.mpa.routing.CoreRouter.Connectivity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectivity</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/CoreRouter.html" title="class in com.here.android.mpa.routing">CoreRouter</a> setConnectivity(<a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing">CoreRouter.Connectivity</a> connectivity)</pre>
<div class="block">Determines whether route is calculated online or offline. Default is
 <a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html#DEFAULT"><code>CoreRouter.Connectivity.DEFAULT</code></a>.

 If set to offline, it will attempt to calculate the route offline
 regardless of the routing type and regardless of whether there is
 enough map data for the route calculation, if fails, it will not
 make another attempt online.

 If set to online, it will attempt to calculate the route
 online regardless of the routing type and regardless of the current
 device connectivity. If it fails, it will not make another attempt
 offline.

 If this is changed after calling calculateRoute,
 the change will not take effect for the current route calculation.

 \note An example of the usage is as follows:
 e.g. An app wishes to try online first and falls back to offline
 if online fails. Such app will set connectivity to <a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html#ONLINE"><code>CoreRouter.Connectivity.ONLINE</code></a>
 before calculating a route, if this fails, it will change connectivity
 to <a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html#OFFLINE"><code>CoreRouter.Connectivity.OFFLINE</code></a> before another route calculation attempt.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectivity</code> - The <a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing"><code>CoreRouter.Connectivity</code></a> to set</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>CoreRouter</code> to be used for route calculation</dd>
</dl>
</li>
</ul>
<a name="getConnectivity--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getConnectivity</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing">CoreRouter.Connectivity</a> getConnectivity()</pre>
<div class="block">Gets the connectivity to be used for route calculation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing"><code>CoreRouter.Connectivity</code></a> to be used for route calculation</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CoreRouter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/ConsumptionParameters.TrafficScale.html" title="class in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/CoreRouter.Connectivity.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/CoreRouter.html" target="_top">Frames</a></li>
<li><a href="CoreRouter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
